﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace MosaicGen
{
    /// <summary>
    /// Interaction logic for HelpWindow.xaml
    /// </summary>
    public partial class HelpWindow : Window
    {
        private string heplText;
        public HelpWindow()
        {
            InitializeComponent();
        }

        public HelpWindow(string s)
        {
            InitializeComponent();
            string [] splitted = s.Split(new string [] { "/n" }, StringSplitOptions.None);
            Helptext.Document.Blocks.Clear();
            foreach (var spl in splitted)
            {
                Helptext.Document.Blocks.Add(new Paragraph(new Run(spl)));
                
            }
             heplText = s;
            
            //Helptext.AppendText(s);

        }

        public HelpWindow(string s, bool about) :this(s)
        {
            this.Title = "About";

        }

        private void MyCommandClose(object sender, ExecutedRoutedEventArgs e)
        {
            this.Close();
        }

        private void Window_SizeChanged(object sender, SizeChangedEventArgs e)
        {
            Helptext.Height = this.Height - 135;
        }
    }
}
